Lock conversation
curl --request POST \
--url https://api.managem.co.uk/conversations/{id}/lock \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/conversations/{id}/lock"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/conversations/{id}/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"source": {
"id": "<string>"
},
"userA": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
},
"userB": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
},
"locked": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"lastMessage": {
"id": "<string>",
"conversationId": "<string>",
"sender": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
},
"body": "<string>",
"createdAt": "<string>",
"viewedAt": "<string>",
"attachments": [
{
"id": "<string>",
"imageId": "<string>",
"url": "<string>"
}
]
}
}Conversation
Lock conversation
Lock a conversation to prevent any new messages.
Use this endpoint when a conversation should be closed after resolution.
Behavior:
- Only conversation participants may lock a conversation.
- Returns the conversation state after the lock operation.
POST
/
conversations
/
{id}
/
lock
Lock conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Conversation ID
Response
Conversation locked
Unique identifier for the conversation
Conversation source
Show child attributes
Show child attributes
First participant
Show child attributes
Show child attributes
Second participant
Show child attributes
Show child attributes
Whether the conversation is locked
Timestamp when the conversation was created
Timestamp when the conversation was last updated
Latest message in the conversation
Show child attributes
Show child attributes
⌘I